> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Add Entries



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/collections/{id}/entries/bulk
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{id}/entries/bulk:
    post:
      tags:
        - Collections
      summary: Bulk Add Entries
      operationId: CollectionsController_bulkAddEntries_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: id
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkAddCollectionEntriesDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionEntriesMutationResponseDto'
      security:
        - bearer: []
components:
  schemas:
    BulkAddCollectionEntriesDto:
      type: object
      properties:
        sources:
          minItems: 1
          maxItems: 100
          type: array
          items:
            oneOf:
              - type: object
                properties:
                  kind:
                    type: string
                    const: catalog_item
                  catalogItemId:
                    type: string
                  catalogFamilySourceId:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - kind
                  - catalogItemId
                  - catalogFamilySourceId
                additionalProperties: false
              - type: object
                properties:
                  kind:
                    type: string
                    const: spec_template
                  brandStandardId:
                    type: string
                required:
                  - kind
                  - brandStandardId
                additionalProperties: false
        collectionVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
      required:
        - sources
        - collectionVersion
      additionalProperties: false
    CollectionEntriesMutationResponseDto:
      type: object
      properties:
        entries:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntrySummaryDto'
        collectionVersion:
          type: number
      required:
        - entries
        - collectionVersion
    CollectionEntrySummaryDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        productTypeId:
          type: string
        categoryId:
          type: string
        categoryLabel:
          type: string
        categoryPath:
          type: array
          items:
            $ref: '#/components/schemas/CollectionCategoryPathItemDto'
        productTypeLabel:
          type: string
        description:
          type: string
          nullable: true
        areaReference:
          type: string
          nullable: true
        parLevel:
          type: string
          nullable: true
        applyParToPurchaseQuantity:
          type: boolean
        status:
          type: string
          enum:
            - draft
            - pending
            - discontinued
            - approved
        quantity:
          type: string
        mandatoryItem:
          type: boolean
        designReviewRequired:
          type: boolean
        optionalManufacturers:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryManufacturerDto'
        mandatoryManufacturerId:
          type: string
          nullable: true
        instructionsCount:
          type: number
        requirementsCount:
          type: number
        position:
          type: number
        referencesCount:
          type: number
        referenceCode:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        imagesCount:
          type: number
        validationIssueCount:
          type: number
        version:
          type: number
      required:
        - id
        - name
        - productTypeId
        - categoryId
        - categoryLabel
        - categoryPath
        - productTypeLabel
        - description
        - areaReference
        - parLevel
        - applyParToPurchaseQuantity
        - status
        - quantity
        - mandatoryItem
        - designReviewRequired
        - optionalManufacturers
        - mandatoryManufacturerId
        - instructionsCount
        - requirementsCount
        - position
        - referencesCount
        - referenceCode
        - imageUrl
        - imagesCount
        - validationIssueCount
        - version
    CollectionCategoryPathItemDto:
      type: object
      properties:
        id:
          type: string
        label:
          type: string
      required:
        - id
        - label
    CollectionEntryManufacturerDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        available:
          type: boolean
      required:
        - id
        - name
        - available
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````